Subject: bug#33787: Policy Change: Use of /etc/gnu.conf files to configure default system behavior

From: Assaf Gordon <[email-masked]>
Date: Mon, 31 Dec 2018 05:23:53 -0700

Hello,

On 2018-12-31 4:36 a.m., L A Walsh wrote:
> 
> 
> On 12/20/2018 5:21 PM, Assaf Gordon wrote:
>> If there was an "rm --depth-first" feature,
> ---
>      If you would ensure that this is possible, you would have
> my gratitude.

There seem to be some confusion: this item was "#2" in my previous
email, and as I wrote (quoted below), I think find(1) is better
suited for these things.
I have no intention of implementing this functionality.

[...]

>> As for #2 - not sure if this was discussed before,
>> but I have a hunch that once more sophisticated control
>> over file-traversal is needed, find(1) is likely better
>> solution (e.g. "find -depth").
>>
>> As for #3 - The "expand" program already does tab-expansion.
>> It can be easily combined with existing programs using
>> a simple shell function.
> ----
[...]
> I shouldn't have to figure out the syntax of a separate program to get
> a 1-time usage of lined up output.

Or, consider a different approach:

With the unix philosophy of "each program should do one thing, and do it
well", once one learns how to use "expand" (or fmt, numfmt, awk and
similar text formatting programs) - they can use them to format output
from any program - saving lots of time in re-implementing the same 
functionality in different programs.

---

However,
these are all tangents.
The topic of this thread is adding support for a global configuration
file.   That request is not likely to be implemented.

To continue discussing other topics or feature requests (e.g.
  tab-expansion) - please start a new dedicated thread.

regards,
  - assaf